summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /dev-java/sun-jimi
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'dev-java/sun-jimi')
-rw-r--r--dev-java/sun-jimi/Manifest1
-rw-r--r--dev-java/sun-jimi/metadata.xml16
-rw-r--r--dev-java/sun-jimi/sun-jimi-1.0-r3.ebuild49
3 files changed, 66 insertions, 0 deletions
diff --git a/dev-java/sun-jimi/Manifest b/dev-java/sun-jimi/Manifest
new file mode 100644
index 000000000000..74dfd56f6b98
--- /dev/null
+++ b/dev-java/sun-jimi/Manifest
@@ -0,0 +1 @@
+DIST jimi1_0.zip 3880977 SHA256 06c193de5d78f2597191963c34cf306a960f7144759337264c1c60a3b3b8a0c4 SHA512 28ae3b3044910fca80dbdf23fee5f0d050df64ef48a09c41a836f3ff78365258c747f69a958579abda68d6d6f1c6b6a3ea5e960d36f2199afdb06258a25173d5 WHIRLPOOL c9ff66c4a15eb39c30e70c47bd7c8694024e34ebba09a7a440b927f5e3da0498f4ae2b8c6ddd96e3fe18933b93cacbb9c01f63b672caef45b601e4cf0bcec4fa
diff --git a/dev-java/sun-jimi/metadata.xml b/dev-java/sun-jimi/metadata.xml
new file mode 100644
index 000000000000..239a64a49538
--- /dev/null
+++ b/dev-java/sun-jimi/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+
+<herd>java</herd>
+
+<longdescription>
+
+Jimi is a class library for managing images. Its primary function is image I/O.
+Jimi was formerly a product of Activated Intelligence. Sun is making it
+available for developers who have code with dependencies on Jimi or for those
+who need image I/O functionality in applications running under 1.1.x versions of
+the Java Platform.
+
+</longdescription>
+</pkgmetadata>
diff --git a/dev-java/sun-jimi/sun-jimi-1.0-r3.ebuild b/dev-java/sun-jimi/sun-jimi-1.0-r3.ebuild
new file mode 100644
index 000000000000..7069ce1a824d
--- /dev/null
+++ b/dev-java/sun-jimi/sun-jimi-1.0-r3.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc"
+
+inherit java-pkg-2
+
+DESCRIPTION="Jimi is a class library for managing images"
+HOMEPAGE="http://www.oracle.com/technetwork/java/index.html"
+SRC_URI="jimi1_0.zip"
+
+LICENSE="Oracle-BCLA-JavaSE"
+SLOT="0"
+KEYWORDS="amd64 ppc ppc64 x86"
+IUSE=""
+
+RDEPEND=">=virtual/jre-1.3"
+DEPEND=">=virtual/jdk-1.3
+ app-arch/unzip"
+
+RESTRICT="fetch"
+
+S=${WORKDIR}/Jimi
+
+pkg_nofetch() {
+ local download_url="http://www.oracle.com/technetwork/java/javasebusiness/downloads/java-archive-downloads-java-client-419417.html#7259-jimi_sdk-1.0-oth-JPR"
+ einfo "Please download ${A} from the following url and place it in ${DISTDIR}"
+ einfo "${download_url} "
+}
+
+java_prepare() {
+ rm -r src/classes/* || die
+}
+
+src_compile() {
+ cd "${S}/src"
+ ejavac -classpath . -d classes $(cat main_classes.txt) || die "failes to compile"
+ jar -cf ${PN}.jar -C classes . || die "failed to create jar"
+}
+
+src_install() {
+ java-pkg_dojar src/${PN}.jar
+
+ dodoc Readme
+ use doc && java-pkg_dohtml -r docs/*
+}